/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

#include <s11n.net/s11n/s11nlite.hpp>
#include <s11n.net/s11n/io/serializers.hpp>

void ForceLoadNodeDialog::init()
{
    QStringList slist;
    QString currentOut =  s11nlite::serializer_class();
    
    s11n::io::serializer_list<s11nlite::node_type>( slist, false );
    QStringList::const_iterator b = slist.begin(), e = slist.end();
    int ndx = 0;
    for( ; e != b; ++b )
    {
	++ndx;
	if( (*b) == currentOut ) break;
    }
    QComboBox * cb = this->comboInputFormat;
    cb->insertStringList( slist, -1 );
    cb->setCurrentItem( ndx );

}



void ForceLoadNodeDialog::accept ()
{
    this->m_name = this->lineEditName->text();
    this->m_serclass = this->comboInputFormat->currentText();
    this->QDialog::accept();
}



QString ForceLoadNodeDialog::nodeName()
{
    return this->m_name;
}

QString ForceLoadNodeDialog::serializerClass()
{
    return this->m_serclass;
}
